// Sample data (replace this with your actual data)
const temperatureData = {
  Bangalore: {
    2020: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2020 Bangalore',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            3,
            5,
            9,
            16,
            22,
            25,
            30,
            31,
            27,
            20,
            13,
            7, // Temperature data for Bangalore in 2020 in Celsius
          ],
        },
      ],
    },
    2021: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2021 Bangalore',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            2,
            4,
            8,
            15,
            21,
            24,
            29,
            30,
            26,
            19,
            12,
            6, // Temperature data for Bangalore in 2021 in Celsius
          ],
        },
      ],
    },
    2022: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2022 Bangalore',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            4,
            6,
            10,
            17,
            23,
            26,
            31,
            32,
            28,
            21,
            14,
            8, // Temperature data for Bangalore in 2022 in Celsius
          ],
        },
      ],
    },
  },
  Vancouver: {
    2020: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2020 Vancouver',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            2,
            3,
            7,
            15,
            21,
            24,
            29,
            30,
            26,
            19,
            12,
            6, // Temperature data for Vancouver in 2020 in Celsius
          ],
        },
      ],
    },
    2021: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2021 Vancouver',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            1,
            3,
            6,
            14,
            20,
            23,
            28,
            29,
            25,
            18,
            11,
            5, // Temperature data for Vancouver in 2021 in Celsius
          ],
        },
      ],
    },
    2022: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2022 Vancouver',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            3,
            5,
            9,
            16,
            22,
            25,
            30,
            31,
            27,
            20,
            13,
            7, // Temperature data for Vancouver in 2022 in Celsius
          ],
        },
      ],
    },
  },
  SanFrancisco: {
    2020: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2020 San Francisco',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            3,
            5,
            9,
            16,
            19,
            20,
            30,
            35,
            24,
            22,
            10,
            7, // Temperature data for San Francisco in 2020 in Celsius
          ],
        },
      ],
    },
    2021: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2021 San Francisco',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            2,
            4,
            8,
            15,
            20,
            23,
            28,
            32,
            25,
            19,
            11,
            6, // Temperature data for San Francisco in 2021 in Celsius
          ],
        },
      ],
    },
    2022: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2022 San Francisco',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            4,
            7,
            11,
            18,
            21,
            23,
            32,
            35,
            26,
            23,
            14,
            9, // Temperature data for San Francisco in 2022 in Celsius
          ],
        },
      ],
    },
  },
};

// Configuration options for temperature chart
const temperatureConfig = {
  type: 'line',
  data: temperatureData['Bangalore'][2020], // Initial data for Bangalore in 2020
  options: {
    plugins: {
      title: {
        display: true,
        text: 'Temperature Variation over Months in 2020 - Bangalore',
      },
      tooltip: {
        enabled: true,
        intersect: false,
      },
      legend: {
        display: true,
        position: 'bottom',
      },
    },
    scales: {
      x: {
        title: {
          display: true,
          text: 'Month',
        },
      },
      y: {
        type: 'linear',
        display: true,
        position: 'left',
        title: {
          display: true,
          text: 'Temperature (°C)',
        },
      },
    },
    elements: {
      line: {
        fill: true,
      },
    },
  },
};

// Create temperature chart
var temperatureChart = new Chart(
  'temperatureChart',
  temperatureConfig,
);

// Function to update the chart based on selected city and year
function updateChart() {
  var city = document.getElementById('citySelector').value;
  var year = document.getElementById('yearSelector').value;

  // Update temperature chart
  temperatureChart.data = temperatureData[city][year];
  temperatureChart.options.plugins.title.text = `Temperature Variation over Months in ${year} - ${city}`;

  // Update chart
  temperatureChart.update();
}

// Initialize chart with initial data
updateChart();